Diskuzní fórum a databáze tipů a utilit pro AutoCAD, Inventor, Revit a další produkty Autodesk - od firmy CAD Studio [www.cadforum.cz]
Česky Slovensky English Deutsch
Přihlášení:
▶ Registrace

 právě čte: 4855 
RSS tipy RSS kanál - CAD tipy
RSS diskuze RSS kanál - CAD diskuze

Diskuze Diskuzní fórum

NápovědaCAD diskuze

CAD Fórum - Homepage Veřejné diskuzní fórum k CAD aplikacím - ptejte se na libovolné otázky týkající se oboru CAx, podělte se o vaše znalosti a zkušenosti s programy AutoCAD, Inventor, Revit a dalšími CAD aplikacemi. Zaregistrujte se nebo se přihlašte a zašlete váš příspěvek do odpovídajícího fóra. Viz další informace o CAD Fóru.
Fórum nenahrazuje technický support firmy CAD Studio - přímá podpora pro zákazníky funguje na helpdesk.cadstudio.cz
  FAQ FAQ  Prohledat fórum   Události   Registrovat Registrovat  Přihlásit Přihlásit

Téma uzavřenoHromadné vkládání vrcholů křivky

 Odpovědět Odpovědět archiv
Autor
Dostojevskij Zobrazit panel
Diskutér
Diskutér

Přihlášen: 12.říj.2007
Lokalita: ČR (OS)
Používám:
AutoCAD2013
Stav: Offline
Bodů: 12
Přímý odkaz na tuto zprávu Téma: Hromadné vkládání vrcholů křivky
    Zasláno: 04.lis.2014 v 08:46
Zdravím a rád bych se zeptal, zda je možno přidat stávající křivce vrcholy dle zadaných parametrů, např. počet či délka úseků. Používám na to utilitku DivBreak, jenže ta křivku rozdělí na samostatné segmenty, které potom musím zpětně pospojovat. Díky za případné tipy.
f.m.d.
Zpět nahoru
OPlavek Zobrazit panel
Diskutér
Diskutér

Přihlášen: 16.pro.2004
Lokalita: ČR (KV)
Používám:
Autocad,Revit
Stav: Offline
Bodů: 99
Přímý odkaz na tuto zprávu Zasláno: 04.lis.2014 v 10:48
Jak to myslíte? Neumím si představit co potřebujete. Potřebujete načítat souřadnice nebo nějaký předpis s relativní vzdáleností nového vrcholu?
Zpět nahoru
Dostojevskij Zobrazit panel
Diskutér
Diskutér

Přihlášen: 12.říj.2007
Lokalita: ČR (OS)
Používám:
AutoCAD2013
Stav: Offline
Bodů: 12
Přímý odkaz na tuto zprávu Zasláno: 04.lis.2014 v 13:29
Mám například křivku představující osu projektované komunikace v JTSK. Její staničení je po kilometru, ale já potřebuji souřadnice staničení po 50-ti metrech, tj. souřadnice vrcholů křivky, které lze vyexportovat. Jak jsem již psal, používám utilitu DivBreak, kde lze zadat počet nebo délku úseků, ale následné spojování výsledných segmentů je složité. Jednoduše řečeno - jak vložit do křivky o dvou vrcholech (začátek a konec) další vrcholy po x metrech...
f.m.d.
Zpět nahoru
Mantlík Zobrazit panel
TOP uživatel
TOP uživatel

Přihlášen: 01.říj.2004
Lokalita: ČR (Pha)
Používám:
ACAD/Map/Civil R10-> 2017
Stav: Offline
Bodů: 2069
Přímý odkaz na tuto zprávu Zasláno: 04.lis.2014 v 13:37
To ale spíš myslíte body na křivce po určené vzdálenosti a nikoliv vrcholy křivky, ne?
(předpokládám, že nechcete křivku lámat po 50m ...)
Myslím, že na to byl tip i s lispem, pohledejte
J. Mantlík

Zpět nahoru
Seiner Zobrazit panel
CAD/BIM manager
CAD/BIM manager

Přihlášen: 01.říj.2004
Lokalita: ČR (PA)
Používám:
Mechanical 2017, Inventor 2017 a starší
Stav: Offline
Bodů: 1662
Přímý odkaz na tuto zprávu Zasláno: 04.lis.2014 v 13:45
A nestačil by DĚLÚ ?
Vítězslav Seiner

Chrudim
Zpět nahoru
johny Zobrazit panel
TOP uživatel
TOP uživatel

Přihlášen: 24.led.2006
Lokalita: ČR (JM)
Používám:
AutoCAD Civil 3D 2016
Stav: Offline
Bodů: 1141
Přímý odkaz na tuto zprávu Zasláno: 04.lis.2014 v 14:29
http://www.cadtutor.net/forum/showthread.php?78178-Distribute-vertices-along-a-polyline-with-a-specific-length-interval

Pozn. kód uložit jako *.lsp, v autocadu načíst _appload, příkaz spustit VRXLEN

(Defun c:vrxlen ()
  (if (and (setq pline (car (entsel "\nSelect Polyline:")))
           (eq (cdr (assoc 0 (entget pline))) "LWPOLYLINE")
           (setq int (getdist "\nEnter Interval:"))
           (setq in int)
      )
    (while (Setq pt (vlax-curve-getPointAtDist pline int))
      (setq ppt (vlax-curve-getparamatpoint pline pt))
      (vlax-invoke
        (vlax-ename->vla-object pline)
        'AddVertex
        (1+ (fix ppt))
        (list (car pt) (Cadr pt))
      )
      (setq int (+ int in))
    )
  )
)


Upravil johny - 04.lis.2014 v 15:11
Zpět nahoru
Seiner Zobrazit panel
CAD/BIM manager
CAD/BIM manager

Přihlášen: 01.říj.2004
Lokalita: ČR (PA)
Používám:
Mechanical 2017, Inventor 2017 a starší
Stav: Offline
Bodů: 1662
Přímý odkaz na tuto zprávu Zasláno: 04.lis.2014 v 14:45
1. Je vhodné předefinovávat příkaz DEMO?
2. IMHO stejnou práci udělá DĚLÚ, vložení staničního bloku a extrakce souřadnic. Ale to je, jak se komu líbí.
Vítězslav Seiner

Chrudim
Zpět nahoru
johny Zobrazit panel
TOP uživatel
TOP uživatel

Přihlášen: 24.led.2006
Lokalita: ČR (JM)
Používám:
AutoCAD Civil 3D 2016
Stav: Offline
Bodů: 1141
Přímý odkaz na tuto zprávu Zasláno: 04.lis.2014 v 15:32
Původně odeslal(a) Seiner Seiner napsal(a):

1. Je vhodné předefinovávat příkaz DEMO?
Není. Název byl autorem kódu volen obecný, určitě by se měl konkretizovat. Protože jsem ten kód převzal, nechtel jsem do něj původně zasahovat. 
Díky za upozornění na kolizi s českým příkazem DEMO... kód v předchozím příspěvku jsem upravil a jeho jméno změnil na VRXLEN.

Původně odeslal(a) Seiner Seiner napsal(a):

2. IMHO stejnou práci udělá DĚLÚ, vložení staničního bloku a extrakce souřadnic. Ale to je, jak se komu líbí.

Pro staničení lze doporučit DĚLM (_MEASURE)... ale jak píšete, jak komu co vyhovuje.
Zpět nahoru
Vladimír Michl Zobrazit panel
Moderátor
Moderátor
Avatar
CAD Studio a.s.

Přihlášen: 09.zář.2004
Lokalita: ČR (JČ)
Používám:
Dodáváme produkty Autodesk
Stav: Offline
Bodů: 16700
Přímý odkaz na tuto zprávu Zasláno: 04.lis.2014 v 16:15
Ideální pro výkaz by asi byla kombinace příkazů DĚLM (s volbou Blok) a EXTRDATA:
 
Popř. KŘIVPOLE, popř. použít funkce AutoCADu Civil 3D.
Vladimír Michl (moderátor)
CAD Studio a.s. - www.cadstudio.cz
(podporu najdete na helpdesk.cadstudio.cz)
Zpět nahoru
Dostojevskij Zobrazit panel
Diskutér
Diskutér

Přihlášen: 12.říj.2007
Lokalita: ČR (OS)
Používám:
AutoCAD2013
Stav: Offline
Bodů: 12
Přímý odkaz na tuto zprávu Zasláno: 08.lis.2014 v 13:28
Děkuji všem za tipy, obzvláště johnymu. Kód uložen, načten a funguje perfektně. To je přesně to, co jsem potřeboval. Díky!
f.m.d.
Zpět nahoru
Vladimír Michl Zobrazit panel
Moderátor
Moderátor
Avatar
CAD Studio a.s.

Přihlášen: 09.zář.2004
Lokalita: ČR (JČ)
Používám:
Dodáváme produkty Autodesk
Stav: Offline
Bodů: 16700
Přímý odkaz na tuto zprávu Zasláno: 08.lis.2014 v 17:24
Na stránce Download je rovněž uložena starší utilita VtxDist, která umí přidávat vrcholy metodou "divide" i "measure" (délkou i počtem).
Vladimír Michl (moderátor)
CAD Studio a.s. - www.cadstudio.cz
(podporu najdete na helpdesk.cadstudio.cz)
Zpět nahoru

Pro technickou podporu CAD
kontaktujte Helpdesk

Příbuzné CAD tipy:
Tip 10745:Několik metod odstranění nadbytečných vrcholů křivky.
Tip 4877:VIPHromadné přenastavení jednotek ve všech DWG výkresech (nesprávné měřítko vkládání).
Tip 6705:Jaký je maximální počet vrcholů křivky AutoCADu?
Tip 10090:Přidání vrcholů křivky po stejně dlouhých úsecích.
Tip 6954:Snadné přidání nebo vymazání vrcholu křivky.
Tip 5383:Jak vložit blok do všech vrcholů zvolené křivky?


 Odpovědět Odpovědět

Přejít na fórum Oprávnění fóra Zobrazit panel



Stránka byla vygenerována za 0,422 sekund.